"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CallbackListener = void 0;
var logger_1 = require("../logger");
var CallbackListener = /** @class */ (function () {
    function CallbackListener() {
        var _this = this;
        this.callbackCalled = false;
        this.callback = function (error, result) {
            logger_1.logger("instance callback function called");
            _this.callbackCalled = true;
            _this.callbackError = error;
            _this.callbackResponse = result;
        };
        this.handleCallback = function () {
            logger_1.logger("callback called in after or onError middleware");
            if (_this.callbackError) {
                throw _this.callbackError;
            }
            return _this.callbackResponse;
        };
    }
    return CallbackListener;
}());
exports.CallbackListener = CallbackListener;
//# sourceMappingURL=CallbackListener.js.map