import { Context } from "aws-lambda";
import { Instance, MiddlewareObject } from "..";
export declare class MiddyMiddleware<T, R, C extends Context = Context> {
    private middlewareObject;
    constructor(middlewareObject: MiddlewareObject<T, R, C>);
    onError(instance: Instance, defaultReturn: any): Promise<any | undefined>;
    before(instance: Instance): Promise<void>;
    after(instance: Instance): Promise<void>;
    private run;
}
